com.sun.mirror.declaration

## Interface InterfaceDeclaration

- All Superinterfaces:
    Declaration, MemberDeclaration, TypeDeclaration
  All Known Subinterfaces:
    AnnotationTypeDeclaration

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is included in `TypeElement`.

      @Deprecated
      public interface InterfaceDeclaration
      extends TypeDeclaration

  Represents the declaration of an interface. Provides access to information about the interface and its members. Note that an annotation type is a kind of interface.

  While an `InterfaceDeclaration` represents the declaration of an interface, an `InterfaceType` represents an interface type. See `TypeDeclaration` for more on this distinction.

  Since:
    1.5
  See Also:
    `InterfaceType`

- - ### Method Summary

    - ### Methods inherited from interface com.sun.mirror.declaration.TypeDeclaration

      `getFields, getFormalTypeParameters, getMethods, getNestedTypes, getPackage, getQualifiedName, getSuperinterfaces`

    - ### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

      `getDeclaringType`

    - ### Methods inherited from interface com.sun.mirror.declaration.Declaration

      `accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Copyright © 2004, 2017, Oracle and/or its affiliates. All rights reserved.